
package de.ivu.elect.presentation.search.menu;

import javax.inject.Named;

import de.ivu.elect.presentation.ViewHavingSuchparameterSpeicherbar;

@Named(BenutzerSuchparameterCreateAlsDefaultMenuItemEntry.COMPONENT_NAME)
public class BenutzerSuchparameterCreateAlsDefaultMenuItemEntry extends AbstractBenutzerSuchparameterCreateMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "benutzerSuchparameterCreateAlsDefaultMenuItemEntry";

  public BenutzerSuchparameterCreateAlsDefaultMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    if (super.isRendered()) {
      ViewHavingSuchparameterSpeicherbar view = getCurrentView();

      return view != null && view.isSuchparameterStateAlsDefaultSupported();
    }

    return false;
  }

  @Override
  public String getDialogName() {
    // ELECT-8889, cf. /elect-base-war/src/main/resources/META-INF/contracts/elect/WEB-INF/tags/filterPanel.xhtml!
    return "dlgSaveSearchParameterAlsDefault";
  }

  @Override
  public String getLabelKey() {
    return "benutzer.suchvorlage.create.als.default.menu.item.label";
  }
}
